#
# spec file for package python-vcs
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-vcs
Version:        0.4.0
Release:        8.2
Url:            https://github.com/codeinn/vcs
Summary:        Various Version Control System management abstraction layer for Python
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/v/vcs/vcs-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
Requires:       python-dulwich
BuildRequires:  python-Sphinx
BuildRequires:  python-setuptools
# Test requirements:
#BuildRequires:  python-mock
#BuildRequires:  python-Pygments
#BuildRequires:  python-nose
#BuildRequires:  python-unittest2
#BuildRequires:  python-dulwich
#BuildRequires:  mercurial
#BuildRequires:  git-core
Requires:       git-core
Requires:       mercurial
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Vcs is an abstraction layer over various version control systems. It is
designed as feature-rich Python library with clean API.

%prep
%setup -q -n vcs-%{version}

%build
python setup.py build
cd docs && make html && rm build/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}%{python_sitelib}/vcs/.ropeproject

# Tests require network access, thus disabled:
#%%check
#nosetests

%files
%defattr(-,root,root,-)
%doc README.rst docs/build/html
%{_bindir}/vcs
%{python_sitelib}/*

%changelog
* Mon Jul 20 2015 bwiedemann@suse.com
- only require git-core to not pull in git-web and gitk
* Fri Nov 15 2013 p.drouand@gmail.com
- Update to version 0.4.0
  + No changelog available
- Add python-Sphinx BuildRequires and build documentation from source
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Dec 18 2012 saschpe@suse.de
- Update to version 0.2.2:
  + Upstream provides no changelog, but you can check
    https://github.com/codeinn/vcs/compare/v0.2.0...v0.2.2
- Spec file cleanup
* Thu Mar 17 2011 saschpe@suse.de
- Update to version 0.2.0:
  + Unicode fixes
  + PEP-8 conformance
* Fri Feb 25 2011 saschpe@suse.de
- Update to version 0.1.11:
  + Upstream provides no changelog, but you can check
    https://github.com/codeinn/vcs/compare/v0.1.10...v0.1.11
- Remove pyc files and vcs.egg-info dir precompiled for Python-2.6
* Tue Jan 25 2011 saschpe@gmx.de
- Initial version (0.1.10)
